package com.mortals.xhx.module.news.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.news.model.NewsShareEntity;
/**
* 新闻分享记录信息查询对象
*
* @author zxfei
* @date 2023-09-18
*/
public class NewsShareQuery extends NewsShareEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 新闻ID */
    private Long newsIdStart;

    /** 结束 新闻ID */
    private Long newsIdEnd;

    /** 增加 新闻ID */
    private Long newsIdIncrement;

    /** 新闻ID列表 */
    private List <Long> newsIdList;

    /** 新闻ID排除列表 */
    private List <Long> newsIdNotList;

    /** 分享人名称 */
    private List<String> shareNameList;

    /** 分享人名称排除列表 */
    private List <String> shareNameNotList;
    /** 开始 累计分享次数 */
    private Integer sumSharesStart;

    /** 结束 累计分享次数 */
    private Integer sumSharesEnd;

    /** 增加 累计分享次数 */
    private Integer sumSharesIncrement;

    /** 累计分享次数列表 */
    private List <Integer> sumSharesList;

    /** 累计分享次数排除列表 */
    private List <Integer> sumSharesNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 最近分享时间 */
    private String shareTimeStart;

    /** 结束 最近分享时间 */
    private String shareTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NewsShareQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NewsShareQuery> andConditionList;

    public NewsShareQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 新闻ID
    * @return newsIdStart
    */
    public Long getNewsIdStart(){
        return this.newsIdStart;
    }

    /**
    * 设置 开始 新闻ID
    * @param newsIdStart
    */
    public void setNewsIdStart(Long newsIdStart){
        this.newsIdStart = newsIdStart;
    }

    /**
    * 获取 结束 新闻ID
    * @return $newsIdEnd
    */
    public Long getNewsIdEnd(){
        return this.newsIdEnd;
    }

    /**
    * 设置 结束 新闻ID
    * @param newsIdEnd
    */
    public void setNewsIdEnd(Long newsIdEnd){
        this.newsIdEnd = newsIdEnd;
    }

    /**
    * 获取 增加 新闻ID
    * @return newsIdIncrement
    */
    public Long getNewsIdIncrement(){
        return this.newsIdIncrement;
    }

    /**
    * 设置 增加 新闻ID
    * @param newsIdIncrement
    */
    public void setNewsIdIncrement(Long newsIdIncrement){
        this.newsIdIncrement = newsIdIncrement;
    }

    /**
    * 获取 新闻ID
    * @return newsIdList
    */
    public List<Long> getNewsIdList(){
        return this.newsIdList;
    }

    /**
    * 设置 新闻ID
    * @param newsIdList
    */
    public void setNewsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
    }

    /**
    * 获取 新闻ID
    * @return newsIdNotList
    */
    public List<Long> getNewsIdNotList(){
        return this.newsIdNotList;
    }

    /**
    * 设置 新闻ID
    * @param newsIdNotList
    */
    public void setNewsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
    }


    /**
    * 获取 分享人名称
    * @return shareNameList
    */
    public List<String> getShareNameList(){
        return this.shareNameList;
    }

    /**
    * 设置 分享人名称
    * @param shareNameList
    */
    public void setShareNameList(List<String> shareNameList){
        this.shareNameList = shareNameList;
    }

    /**
    * 获取 分享人名称
    * @return shareNameNotList
    */
    public List<String> getShareNameNotList(){
        return this.shareNameNotList;
    }

    /**
    * 设置 分享人名称
    * @param shareNameNotList
    */
    public void setShareNameNotList(List<String> shareNameNotList){
        this.shareNameNotList = shareNameNotList;
    }

    /**
    * 获取 开始 累计分享次数
    * @return sumSharesStart
    */
    public Integer getSumSharesStart(){
        return this.sumSharesStart;
    }

    /**
    * 设置 开始 累计分享次数
    * @param sumSharesStart
    */
    public void setSumSharesStart(Integer sumSharesStart){
        this.sumSharesStart = sumSharesStart;
    }

    /**
    * 获取 结束 累计分享次数
    * @return $sumSharesEnd
    */
    public Integer getSumSharesEnd(){
        return this.sumSharesEnd;
    }

    /**
    * 设置 结束 累计分享次数
    * @param sumSharesEnd
    */
    public void setSumSharesEnd(Integer sumSharesEnd){
        this.sumSharesEnd = sumSharesEnd;
    }

    /**
    * 获取 增加 累计分享次数
    * @return sumSharesIncrement
    */
    public Integer getSumSharesIncrement(){
        return this.sumSharesIncrement;
    }

    /**
    * 设置 增加 累计分享次数
    * @param sumSharesIncrement
    */
    public void setSumSharesIncrement(Integer sumSharesIncrement){
        this.sumSharesIncrement = sumSharesIncrement;
    }

    /**
    * 获取 累计分享次数
    * @return sumSharesList
    */
    public List<Integer> getSumSharesList(){
        return this.sumSharesList;
    }

    /**
    * 设置 累计分享次数
    * @param sumSharesList
    */
    public void setSumSharesList(List<Integer> sumSharesList){
        this.sumSharesList = sumSharesList;
    }

    /**
    * 获取 累计分享次数
    * @return sumSharesNotList
    */
    public List<Integer> getSumSharesNotList(){
        return this.sumSharesNotList;
    }

    /**
    * 设置 累计分享次数
    * @param sumSharesNotList
    */
    public void setSumSharesNotList(List<Integer> sumSharesNotList){
        this.sumSharesNotList = sumSharesNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 最近分享时间
    * @return shareTimeStart
    */
    public String getShareTimeStart(){
        return this.shareTimeStart;
    }

    /**
    * 设置 开始 最近分享时间
    * @param shareTimeStart
    */
    public void setShareTimeStart(String shareTimeStart){
        this.shareTimeStart = shareTimeStart;
    }

    /**
    * 获取 结束 最近分享时间
    * @return shareTimeEnd
    */
    public String getShareTimeEnd(){
        return this.shareTimeEnd;
    }

    /**
    * 设置 结束 最近分享时间
    * @param shareTimeEnd
    */
    public void setShareTimeEnd(String shareTimeEnd){
        this.shareTimeEnd = shareTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public NewsShareQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public NewsShareQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public NewsShareQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public NewsShareQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public NewsShareQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public NewsShareQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  新闻ID
    * @param newsId
    */
    public NewsShareQuery newsId(Long newsId){
	    setNewsId(newsId);
		return this;
    }
	
	 /**
    * 设置 开始 新闻ID
    * @param newsIdStart
    */
    public NewsShareQuery newsIdStart(Long newsIdStart){
		this.newsIdStart = newsIdStart;
		return this;
    }

    /**
    * 设置 结束 新闻ID
    * @param newsIdEnd
    */
    public NewsShareQuery newsIdEnd(Long newsIdEnd){
		this.newsIdEnd = newsIdEnd;
		return this;
    }

    /**
    * 设置 增加 新闻ID
    * @param newsIdIncrement
    */
    public NewsShareQuery newsIdIncrement(Long newsIdIncrement){
		this.newsIdIncrement = newsIdIncrement;
		return this;
    }

    /**
    * 设置 新闻ID
    * @param newsIdList
    */
    public NewsShareQuery newsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
		return this;
        }

        /**
        * 设置 新闻ID
        * @param newsIdNotList
        */
        public NewsShareQuery newsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
        return this;
        }


	/**
    * 设置 分享人名称
    * @param shareName
    */
    public NewsShareQuery shareName(String shareName){
        setShareName(shareName);
		return this;
    }

    /**
    * 设置 分享人名称
    * @param shareNameList
    */
    public NewsShareQuery shareNameList(List<String> shareNameList){
        this.shareNameList = shareNameList;
		return this;
    }

    /**
    * 设置  累计分享次数
    * @param sumShares
    */
    public NewsShareQuery sumShares(Integer sumShares){
	    setSumShares(sumShares);
		return this;
    }
	
	 /**
    * 设置 开始 累计分享次数
    * @param sumSharesStart
    */
    public NewsShareQuery sumSharesStart(Integer sumSharesStart){
		this.sumSharesStart = sumSharesStart;
		return this;
    }

    /**
    * 设置 结束 累计分享次数
    * @param sumSharesEnd
    */
    public NewsShareQuery sumSharesEnd(Integer sumSharesEnd){
		this.sumSharesEnd = sumSharesEnd;
		return this;
    }

    /**
    * 设置 增加 累计分享次数
    * @param sumSharesIncrement
    */
    public NewsShareQuery sumSharesIncrement(Integer sumSharesIncrement){
		this.sumSharesIncrement = sumSharesIncrement;
		return this;
    }

    /**
    * 设置 累计分享次数
    * @param sumSharesList
    */
    public NewsShareQuery sumSharesList(List<Integer> sumSharesList){
        this.sumSharesList = sumSharesList;
		return this;
        }

        /**
        * 设置 累计分享次数
        * @param sumSharesNotList
        */
        public NewsShareQuery sumSharesNotList(List<Integer> sumSharesNotList){
        this.sumSharesNotList = sumSharesNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public NewsShareQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public NewsShareQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public NewsShareQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public NewsShareQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public NewsShareQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public NewsShareQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public NewsShareQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public NewsShareQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public NewsShareQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public NewsShareQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public NewsShareQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public NewsShareQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public NewsShareQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public NewsShareQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NewsShareQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NewsShareQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NewsShareQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NewsShareQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}